/*songs.h
 * songs are in the format: 
 *1) integer array of pitch constants
 *2) integer with the size of the array
 *3) integer array of note durations/tempo
 *(16 = sixteenth note, 8 = eigth note, 4 = quarter note, 2 = half note, 1 = whole note)
 */

// Sydney's Animal Crossing Town theme

int acTown[] = {
  NOTE_C3, NOTE_E3, NOTE_G3, NOTE_E3, NOTE_F3, NOTE_D2, NOTE_E3, NOTE_C4
};

int acTownSize = 8;

// note durations: 4 = quarter note, 8 = eighth note, etc.:

int acTownDurations[] = {
  8, 8, 8, 8, 4, 4, 4, 4
};

//ba-ba-ba-baaaaaa Zelda treasure discovery tone

int zelda[] = {
  NOTE_A3, NOTE_AS3, NOTE_B3, NOTE_C4
};

int zeldaSize = 4;

int zeldaDurations[] = {
  4, 4, 4, 1
};

//Low-High startup tone

int startup[] = {NOTE_A3,NOTE_C4};
int startupSize = 2;
int startupDurations[] = {8,4};

//High-Low shutdown tone

int endTone[] = {NOTE_C4, NOTE_A3};
int endToneSize = 2;
int endToneDurations[] = {8,4};

//Mario World 1-1 theme

int mario[] = {
  NOTE_E5, NOTE_E5, 0, NOTE_E5,
  0, NOTE_C5, NOTE_E5, 0,
  NOTE_G5, 0, 0,  0,
  NOTE_G4, 0, 0, 0,
 
  NOTE_C5, 0, 0, NOTE_G4,
  0, 0, NOTE_E4, 0,
  0, NOTE_A4, 0, NOTE_B4,
  0, NOTE_AS4, NOTE_A4, 0,
 
  NOTE_G4, NOTE_E5, NOTE_G5,
  NOTE_A5, 0, NOTE_F5, NOTE_G5,
  0, NOTE_E5, 0, NOTE_C5,
  NOTE_D5, NOTE_B4, 0, 0,
 
  NOTE_C5, 0, 0, NOTE_G4,
  0, 0, NOTE_E4, 0,
  0, NOTE_A4, 0, NOTE_B4,
  0, NOTE_AS4, NOTE_A4, 0,
 
  NOTE_G4, NOTE_E5, NOTE_G5,
  NOTE_A5, 0, NOTE_F5, NOTE_G5,
  0, NOTE_E5, 0, NOTE_C5,
  NOTE_D5, NOTE_B4, 0, 0};

int marioSize = 78;

int marioDurations[] = {
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
 
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
 
  9, 9, 9,
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
 
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
 
  9, 9, 9,
  12, 12, 12, 12,
  12, 12, 12, 12,
  12, 12, 12, 12,
};

//Mario World 1-2 Underworld theme

int underworld[] = {
  NOTE_C4, NOTE_C5, NOTE_A3, NOTE_A4,
  NOTE_AS3, NOTE_AS4, 0,  0,
  NOTE_C4, NOTE_C5, NOTE_A3, NOTE_A4,
  NOTE_AS3, NOTE_AS4, 0,  0,
  
  NOTE_F3, NOTE_F4, NOTE_D3, NOTE_D4,
  NOTE_DS3, NOTE_DS4, 0,  0,
  NOTE_F3, NOTE_F4, NOTE_D3, NOTE_D4,
  NOTE_DS3, NOTE_DS4, 0,  0,
  
  NOTE_DS4, NOTE_CS4, NOTE_D4, NOTE_CS4, 
  NOTE_DS4, NOTE_DS4, NOTE_GS3, NOTE_G3, 
  NOTE_CS4, NOTE_C4, NOTE_FS4, NOTE_F4, 
  NOTE_E3, NOTE_AS4, NOTE_A4, NOTE_GS4, 
  
  NOTE_DS4, NOTE_B3, NOTE_AS3, NOTE_A3, 
  NOTE_GS3, 0, 0, 0
};

int underworldSize = 62;

int underworldDurations[] = {
  12, 12, 12, 12,
  12, 12, 6,
  3,
  12, 12, 12, 12,
  12, 12, 6,
  3,
  12, 12, 12, 12,
  12, 12, 6,
  3,
  12, 12, 12, 12,
  12, 12, 6,
  6, 18, 18, 18,
  6, 6,
  6, 6,
  6, 6,
  18, 18, 18, 18, 18, 18,
  10, 10, 10,
  10, 10, 10,
  3, 3, 3
};

//Undertale main theme

int undertale[] = {
  NOTE_C5, NOTE_C6, NOTE_G5, 
  NOTE_F5, NOTE_C6, NOTE_C5, 
  NOTE_C5, NOTE_F5, 
  NOTE_C6, NOTE_D6,
  NOTE_C6, NOTE_G5, 
  NOTE_F5,
  NOTE_C5, NOTE_C6, NOTE_G5, 
  NOTE_F5, NOTE_C6, NOTE_C5, 
  NOTE_C5, NOTE_F5, 
  NOTE_C6, NOTE_D6,
  NOTE_C6, NOTE_G5, 
  NOTE_F5
};

int undertaleSize = 26;

int undertaleDurations[] = {
  2,2,
  1,
  2,2,
  1,
  2,2,
  2,2,
  2,2,
  1,
  2,2,
  1,
  2,2,
  1,
  2,2,
  2,2,
  2,2,
  1
};

//Ode to Joy samples 1 and 2

int joy[] = {
  NOTE_E4, NOTE_E4, NOTE_F4, NOTE_G4,
  NOTE_G4, NOTE_F4, NOTE_E4, NOTE_D4,
  NOTE_C4, NOTE_C4, NOTE_D4, NOTE_E4,
  NOTE_E4, NOTE_D4, NOTE_D4,
  NOTE_E4, NOTE_E4, NOTE_F4, NOTE_G4,
  NOTE_G4, NOTE_F4, NOTE_E4, NOTE_D4,
  NOTE_C4, NOTE_C4, NOTE_D4, NOTE_E4,
  NOTE_D4, NOTE_C4, NOTE_C4
};

int joySize = 32;

int joyDurations[] = {
  4, 4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4,
  2, 8, 2,
  4, 4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4,
  2, 8, 2
};

//Paint it Black by the Rolling Stones

int black[] = {
  NOTE_E4, NOTE_FS4,NOTE_G4, 
  NOTE_A4, NOTE_G4, NOTE_FS4, NOTE_E4, 
  NOTE_E4, NOTE_DS4,NOTE_E4, NOTE_FS4,
  NOTE_E4, NOTE_DS4,NOTE_DS4, 0,
  NOTE_E4, NOTE_FS4,NOTE_G4, 
  NOTE_A4, NOTE_G4, NOTE_FS4, NOTE_E4, 
  NOTE_E4, NOTE_DS4,NOTE_E4, NOTE_FS4,
  NOTE_E4, NOTE_DS4,NOTE_DS4, 0
};

int blackSize = 15;

int blackDurations[] = {
  4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4,
  4, 4, 4, 4
};

//jeopardy theme

int jeopardy[] = {
  NOTE_C3, NOTE_F4, NOTE_C4, NOTE_A3,
  NOTE_C4, NOTE_F4, NOTE_C4,
  NOTE_C4, NOTE_F4, NOTE_C4, NOTE_F4,
  NOTE_AS4, NOTE_G4, NOTE_F4, NOTE_E4, NOTE_D4, NOTE_CS4,
  NOTE_C4, NOTE_F4, NOTE_C4, NOTE_A3, // the same again
  NOTE_C4, NOTE_F4, NOTE_C4,
  NOTE_AS4, 0, NOTE_G4, NOTE_F4,
  NOTE_E4, NOTE_D4, NOTE_CS4, NOTE_C4};

int jeopardySize = 32;

int jeopardyDurations[] = {
  4,    4,    4,    4,
  4,    4,          2,
  4,    4,    4,    4,
  3,   8, 8, 8, 8, 8,
  4,    4,    4,    4, // repeat
  4,    4,          2,
  4, 8, 8,    4,    4,
  4,    4,    4,    4,
  0};

//Mukkathe Penne

  int mp[] = {
  NOTE_D4, NOTE_G4, NOTE_FS4, NOTE_A4,
  NOTE_G4, NOTE_C5, NOTE_AS4, NOTE_A4,                   
  NOTE_FS4, NOTE_G4, NOTE_A4, NOTE_FS4, NOTE_DS4, NOTE_D4,
  NOTE_C4, NOTE_D4,0,                                 
  
  NOTE_D4, NOTE_G4, NOTE_FS4, NOTE_A4,
  NOTE_G4, NOTE_C5, NOTE_D5, NOTE_C5, NOTE_AS4, NOTE_C5, NOTE_AS4, NOTE_A4,
  NOTE_FS4, NOTE_G4, NOTE_A4, NOTE_FS4, NOTE_DS4, NOTE_D4,
  NOTE_C4, NOTE_D4,0,                                       
  
  NOTE_D4, NOTE_FS4, NOTE_G4, NOTE_A4, NOTE_DS5, NOTE_D5,
  NOTE_C5, NOTE_AS4, NOTE_A4, NOTE_C5,
  NOTE_C4, NOTE_D4, NOTE_DS4, NOTE_FS4, NOTE_D5, NOTE_C5,
  NOTE_AS4, NOTE_A4, NOTE_C5, NOTE_AS4,             //58
  
  NOTE_D4, NOTE_FS4, NOTE_G4, NOTE_A4, NOTE_DS5, NOTE_D5,
  NOTE_C5, NOTE_D5, NOTE_C5, NOTE_AS4, NOTE_C5, NOTE_AS4, NOTE_A4, NOTE_C5, NOTE_G4,
  NOTE_A4, 0, NOTE_AS4, NOTE_A4, 0, NOTE_G4,
  NOTE_G4, NOTE_A4, NOTE_G4, NOTE_FS4, 0,
  
  NOTE_C4, NOTE_D4, NOTE_G4, NOTE_FS4, NOTE_DS4,
  NOTE_C4, NOTE_D4, 0,
  NOTE_C4, NOTE_D4, NOTE_G4, NOTE_FS4, NOTE_DS4,
  NOTE_C4, NOTE_D4
  
};

int mpSize = 99;

int mpDurations[] = {
  8,4,8,4,
  4,4,4,12,
  4,4,4,4,4,4,
  4,16,4,
  
  8,4,8,4,
  4,2,1,1,2,1,1,12,
  4,4,4,4,4,4,
  4,16,4,
  
  4,4,4,4,4,4,
  4,4,4,12,
  4,4,4,4,4,4,
  4,4,4,12,
  
  4,4,4,4,4,4,
  2,1,1,2,1,1,4,8,4,
  2,6,4,2,6,4,
  2,1,1,16,4,
  
  4,8,4,4,4,
  4,16,4,
  4,8,4,4,4,
  4,20
};

//Ode to Joy third sample

int ode2[] = {
  NOTE_A6, NOTE_A6, NOTE_B6, NOTE_G6,
  NOTE_A6, NOTE_B6, NOTE_C7, NOTE_B6,
  NOTE_G6, NOTE_A6, NOTE_B6, NOTE_C7, 
  NOTE_B6, NOTE_A6, NOTE_G6, NOTE_A6, 
  NOTE_D6
};

int ode2Size = 17;

int ode2Durations[] = {
  4, 4, 4, 4,
  4, 8, 8, 4,
  4, 4, 8, 8,
  4, 4, 4, 4,
  2
};
